#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, t, k, i, j, m, c, z=0;

    scanf("%i %i", &n, &k);
    int arr[n], tmp[n], fin[n];
    t=n;
    for(i=0;i<n;i++){
        scanf("%i", &arr[i]);
        tmp[i]=arr[i];
    }

    for(i=0;i<t;i++){
        for(j=i+1;j<t;){
            if(tmp[j]==tmp[i]){
                for(m=j;m<t;m++)
                    tmp[m]=tmp[m+1];
                t--;
            }else{
                j++;
            }
        }
    }
    for(i=0;i<t;i++){
        c=0;
        for(j=0;j<n;j++){
            if(arr[j]==tmp[i]){
                c++;
            }
        }
        if(c>=k){
            fin[z]=tmp[i];
            z++;
        }
    }
    printf("%i\n", z);
    for(i=0;i<z;i++)
        printf("%i ", fin[i]);
    return 0;
}